/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package core;
import Jama.Matrix;
/**
 *
 * @author pchr
 */
public class Element {
    private int id;
    private Node n1;
    private Node n2;
    private Section sec;
    private static Matrix K = new Matrix(2,2);
    private static Matrix f = new Matrix(2,1);
    private int fTable[];
    
    
    
    public Element(int id,Node n1, Node n2, Section sec) {
        this.id=id;
        this.n1 = n1;
        this.n2 = n2;
        this.sec = sec;
        fTable = new int[2];
        fTable[0] = n1.getFTable()[0];
        fTable[1] = n2.getFTable()[0];
    }


    public Matrix getK() {

        double G = sec.getMaterial().getGamma();
        double Ip = sec.getIp();
        double L = n2.getX() - n1.getX();
        double K01 = G * Ip / L;
        K.init();
        K.set(0, 0, +K01);
        K.set(0, 1, -K01);
        K.set(1, 0, -K01);
        K.set(1, 1, +K01);
        
        return K;
    }
    
    public int getId() {
        return id;
    }

    public Node getN1() {
        return n1;
    }

    public Node getN2() {
        return n2;
    }
    
    public Section getSection() {
        return this.sec;
    }

    public int[] getFTable() {
        return fTable;
    }
    
    public void report(){
        System.out.println("id     : "+id);
        System.out.println("Node 1 : "+n1.getId());
        System.out.println("Node 2 : "+n2.getId());
        System.out.println("fTable : "+fTable[0]+" "+fTable[1]);
    }
    
    public double[] getF(){
        double[] df = new double[2];
        f.set(0, 0, this.n1.getU()[0]); 
        f.set(1, 0, this.n2.getU()[0]);
        
        f=getK().times(f);
        
        df[0]=-f.get(0, 0);
        df[1]=f.get(1, 0);
        
       return df; 
    }
    
    public double[] getU(){
        double[] df = new double[2];
        
        df[0]=this.n1.getU()[0];
        df[1]=this.n2.getU()[0];
        
       return df;
    }
    
    public double[] getS(){
        
        double[] df = new double[2];
        f.set(0, 0, this.n1.getU()[0]); 
        f.set(1, 0, this.n2.getU()[0]);
        
        f=getK().times(f);
        
        df[0]=-f.get(0, 0);
        df[1]=f.get(1, 0);
        
        double[] s = new double[2];
        double r1=this.sec.getR1();
        double r2=this.sec.getR2();
        
        s[0]=2.*df[0]/(Math.PI*(r2*r2*r2-r1*r1*r1*r1/r2));
        s[1]=2.*df[1]/(Math.PI*(r2*r2*r2-r1*r1*r1*r1/r2));
       return s;
    }
    
    public double[] getUi(){
        double[] df = new double[1];
        
        df[0]=this.n2.getU()[0]-this.n1.getU()[0];
        
       return df;
    }

}
