package core;

import Jama.LUDecomposition;
import Jama.Matrix;
import Jama.SingularValueDecomposition;

public class Soe {

    private Matrix A;
    private Matrix B;
    private Matrix X;
    private LUDecomposition LUofA ;
    private SingularValueDecomposition SVDofA ;
    private int n;

    public Soe() {
    }

    public void init(int n) {
        this.n = n;
        A = new Matrix(n,n); A.init();
        B = new Matrix(n,1); B.init();
        X = new Matrix(n,1); B.init();
    }

    public void addA(int row, int clmn, double value){
        A.addVal(row, clmn, value);
    }
    
    public void addB(int row, double value){
        B.addVal(row, 0, value);
    }
    
    public Matrix getB(){
        return this.B;
    }
    
    public Matrix getA(){
        return this.A;
    }
    
    public Matrix getX(){
        return this.X;
    }
    
    public void solve(){
        this.LUofA = new LUDecomposition(A);
        X=LUofA.solve(B);
    }
    
    public void solveSVD(){
        this.SVDofA = new SingularValueDecomposition(A);
        Matrix IS = new Matrix(n,n);
        IS.init();
        for(int i=0;i<SVDofA.getS().getColumnDimension();i++){
            if(Math.abs(SVDofA.getS().get(i, i))>1.E-10)IS.set(i, i, 1./SVDofA.getS().get(i, i));
            //SVDofA.getS().set(i, i,1.0/ SVDofA.getS().get(i, i));
        }
        X=SVDofA.getV().times(IS).times(SVDofA.getU().transpose()).times(B);
    }
}
