/*
 * MainFrame.java
 *
 * Created on 13 Απρίλιος 2008, 12:53 μμ
 */

package gui;
import core.*;
import java.awt.Color;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;
import javax.swing.table.DefaultTableModel;
/**
 *
 * @author  pchr
 */
public class MainFrame extends javax.swing.JFrame {
    private Domain domain;
    private File outFile;
    
    
    public static void main(String args[]) {
        try {
            // Set System L&F
            UIManager.setLookAndFeel(
                    UIManager.getSystemLookAndFeelClassName());
        }
        catch (UnsupportedLookAndFeelException e) {
            // handle exception
        }
        catch (ClassNotFoundException e) {
            // handle exception
        }
        catch (InstantiationException e) {
            // handle exception
        }
        catch (IllegalAccessException e) {
            // handle exception
        }
        //new SwingApplication(); //Create and show the GUI.

        final MainFrame theFrame = new MainFrame();
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                theFrame.setExtendedState(JFrame.MAXIMIZED_BOTH);
                theFrame.pack();
                theFrame.setVisible(true);
            }
        });  
    }


    /** Creates new form MainFrame */
    public MainFrame() {
        domain = new Domain();
        initComponents();
        drawPanelInput1.setDomain(domain);
        drawPanelOutput1.setDomain(domain);
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        nodeDialog = new javax.swing.JDialog();
        jLabel1 = new javax.swing.JLabel();
        xTextField = new javax.swing.JTextField();
        panel3 = new java.awt.Panel();
        addNodeButton = new javax.swing.JButton();
        removeNodeButton = new javax.swing.JButton();
        CancelNodeButton = new javax.swing.JButton();
        UpdateNodeButton = new javax.swing.JButton();
        nodeScrollPane = new javax.swing.JScrollPane();
        nodeTable = new javax.swing.JTable();
        jLabel2 = new javax.swing.JLabel();
        idTextField = new javax.swing.JTextField();
        MaterialDialog = new javax.swing.JDialog();
        jLabel3 = new javax.swing.JLabel();
        gTextField = new javax.swing.JTextField();
        panel4 = new java.awt.Panel();
        jButton5 = new javax.swing.JButton();
        jButton6 = new javax.swing.JButton();
        jButton7 = new javax.swing.JButton();
        jButton8 = new javax.swing.JButton();
        materialScrollPane = new javax.swing.JScrollPane();
        materialTable = new javax.swing.JTable();
        jLabel4 = new javax.swing.JLabel();
        mat_idTextField = new javax.swing.JTextField();
        SectionDialog = new javax.swing.JDialog();
        jLabel5 = new javax.swing.JLabel();
        r1TextField = new javax.swing.JTextField();
        panel5 = new java.awt.Panel();
        addSectionButton = new javax.swing.JButton();
        removeSectionButton = new javax.swing.JButton();
        CancelSectionButton = new javax.swing.JButton();
        UpdateSectionButton = new javax.swing.JButton();
        SectionScrollPane = new javax.swing.JScrollPane();
        SectionTable = new javax.swing.JTable();
        jLabel6 = new javax.swing.JLabel();
        idTextField1 = new javax.swing.JTextField();
        jLabel7 = new javax.swing.JLabel();
        r2TextField = new javax.swing.JTextField();
        MatsForSecPane = new javax.swing.JScrollPane();
        MatForSecTable = new javax.swing.JTable();
        ElementDialog = new javax.swing.JDialog();
        jLabel8 = new javax.swing.JLabel();
        panel6 = new java.awt.Panel();
        addElementButton = new javax.swing.JButton();
        removeElementButton = new javax.swing.JButton();
        CancelElementButton = new javax.swing.JButton();
        UpdateElementButton = new javax.swing.JButton();
        ElementScrollPane = new javax.swing.JScrollPane();
        ElementTable = new javax.swing.JTable();
        jLabel9 = new javax.swing.JLabel();
        elem_idTextField = new javax.swing.JTextField();
        jLabel10 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        N1ComboBox = new javax.swing.JComboBox();
        N2ComboBox = new javax.swing.JComboBox();
        SecComboBox = new javax.swing.JComboBox();
        LoadDialog = new javax.swing.JDialog();
        jLabel12 = new javax.swing.JLabel();
        loadValTextField = new javax.swing.JTextField();
        panel7 = new java.awt.Panel();
        addLoadButton = new javax.swing.JButton();
        removeLoadButton = new javax.swing.JButton();
        CancelLoadButton = new javax.swing.JButton();
        UpdateLoadButton = new javax.swing.JButton();
        LoadScrollPane = new javax.swing.JScrollPane();
        LoadTable = new javax.swing.JTable();
        jLabel13 = new javax.swing.JLabel();
        LoadNodeCombo = new javax.swing.JComboBox();
        ConstraintDialog = new javax.swing.JDialog();
        jLabel14 = new javax.swing.JLabel();
        constraintValTextField = new javax.swing.JTextField();
        panel8 = new java.awt.Panel();
        addConstraintButton = new javax.swing.JButton();
        removeConstraintButton = new javax.swing.JButton();
        CancelConstraintButton = new javax.swing.JButton();
        UpdateConstraintButton = new javax.swing.JButton();
        ConstraintScrollPane = new javax.swing.JScrollPane();
        ConstraintTable = new javax.swing.JTable();
        jLabel15 = new javax.swing.JLabel();
        ConstraintNodeCombo = new javax.swing.JComboBox();
        theFileChooser = new javax.swing.JFileChooser();
        TemplateExampleDialog = new javax.swing.JDialog();
        jLabel16 = new javax.swing.JLabel();
        G1TextField = new javax.swing.JTextField();
        jLabel17 = new javax.swing.JLabel();
        L1TextField = new javax.swing.JTextField();
        jLabel18 = new javax.swing.JLabel();
        d1TextField = new javax.swing.JTextField();
        jLabel19 = new javax.swing.JLabel();
        phiBTextField = new javax.swing.JTextField();
        jLabel20 = new javax.swing.JLabel();
        jSeparator1 = new javax.swing.JSeparator();
        jButton9 = new javax.swing.JButton();
        jButton10 = new javax.swing.JButton();
        ParserDialog = new javax.swing.JDialog();
        ParserScrollPane = new javax.swing.JScrollPane();
        ParserTextArea = new javax.swing.JTextArea();
        jToolBar1 = new javax.swing.JToolBar();
        LoadFileButton = new javax.swing.JButton();
        SaveFileButton = new javax.swing.JButton();
        SaveResultsButton = new javax.swing.JButton();
        HelpButton = new javax.swing.JButton();
        AboutButton = new javax.swing.JButton();
        jButton1 = new javax.swing.JButton();
        panel1 = new java.awt.Panel();
        NodeButton = new javax.swing.JButton();
        MaterialButton = new javax.swing.JButton();
        SectionButton = new javax.swing.JButton();
        ElementButton = new javax.swing.JButton();
        TorqueButton = new javax.swing.JButton();
        AngleButton = new javax.swing.JButton();
        jButton11 = new javax.swing.JButton();
        panel2 = new java.awt.Panel();
        AnalysisButton = new javax.swing.JButton();
        TorqueDiagramButton = new javax.swing.JButton();
        AngleDiagramButton = new javax.swing.JButton();
        jButton2 = new javax.swing.JButton();
        jButton3 = new javax.swing.JButton();
        jButton4 = new javax.swing.JButton();
        jToggleButton1 = new javax.swing.JToggleButton();
        jToggleButton2 = new javax.swing.JToggleButton();
        drawPanelInput1 = new gui.DrawPanelInput();
        drawPanelOutput1 = new gui.DrawPanelOutput();

        nodeDialog.setTitle("κόμβοι");
        nodeDialog.setAlwaysOnTop(true);
        nodeDialog.setBounds(new java.awt.Rectangle(0, 0, 500, 300));
        nodeDialog.setResizable(false);

        jLabel1.setText("συντεταγμένη κόμβου");

        addNodeButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_add.png"))); // NOI18N
        addNodeButton.setText("πρόσθεσε");
        addNodeButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                addNodeButtonActionPerformed(evt);
            }
        });

        removeNodeButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_remove.png"))); // NOI18N
        removeNodeButton.setText("αφαίρεσε");
        removeNodeButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                removeNodeButtonActionPerformed(evt);
            }
        });

        CancelNodeButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_delete.png"))); // NOI18N
        CancelNodeButton.setText("ακύρωση");
        CancelNodeButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                CancelNodeButtonActionPerformed(evt);
            }
        });

        UpdateNodeButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_check.png"))); // NOI18N
        UpdateNodeButton.setText("ενημέρωση");
        UpdateNodeButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                UpdateNodeButtonActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout panel3Layout = new javax.swing.GroupLayout(panel3);
        panel3.setLayout(panel3Layout);
        panel3Layout.setHorizontalGroup(
            panel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel3Layout.createSequentialGroup()
                .addGap(15, 15, 15)
                .addGroup(panel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(addNodeButton)
                    .addComponent(removeNodeButton)
                    .addComponent(CancelNodeButton)
                    .addComponent(UpdateNodeButton)))
        );

        panel3Layout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {CancelNodeButton, UpdateNodeButton, addNodeButton, removeNodeButton});

        panel3Layout.setVerticalGroup(
            panel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel3Layout.createSequentialGroup()
                .addGap(4, 4, 4)
                .addComponent(addNodeButton)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(removeNodeButton)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(CancelNodeButton)
                .addGap(4, 4, 4)
                .addComponent(UpdateNodeButton))
        );

        panel3Layout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {CancelNodeButton, UpdateNodeButton, addNodeButton, removeNodeButton});

        nodeTable.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        nodeScrollPane.setViewportView(nodeTable);

        jLabel2.setText("α/α κόμβου");

        javax.swing.GroupLayout nodeDialogLayout = new javax.swing.GroupLayout(nodeDialog.getContentPane());
        nodeDialog.getContentPane().setLayout(nodeDialogLayout);
        nodeDialogLayout.setHorizontalGroup(
            nodeDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(nodeDialogLayout.createSequentialGroup()
                .addGroup(nodeDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(nodeDialogLayout.createSequentialGroup()
                        .addGap(16, 16, 16)
                        .addGroup(nodeDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel1)
                            .addComponent(jLabel2)))
                    .addGroup(nodeDialogLayout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(panel3, javax.swing.GroupLayout.DEFAULT_SIZE, 137, Short.MAX_VALUE)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(nodeDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(xTextField)
                    .addComponent(idTextField, javax.swing.GroupLayout.DEFAULT_SIZE, 59, Short.MAX_VALUE))
                .addGap(18, 18, 18)
                .addComponent(nodeScrollPane, javax.swing.GroupLayout.PREFERRED_SIZE, 189, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        nodeDialogLayout.setVerticalGroup(
            nodeDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(nodeDialogLayout.createSequentialGroup()
                .addGap(31, 31, 31)
                .addGroup(nodeDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(nodeScrollPane, javax.swing.GroupLayout.Alignment.LEADING, 0, 0, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, nodeDialogLayout.createSequentialGroup()
                        .addGroup(nodeDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel2)
                            .addComponent(idTextField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(nodeDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel1)
                            .addComponent(xTextField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(27, 27, 27)
                        .addComponent(panel3, javax.swing.GroupLayout.PREFERRED_SIZE, 125, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)))
                .addContainerGap(71, Short.MAX_VALUE))
        );

        MaterialDialog.setTitle("υλικά");
        MaterialDialog.setAlwaysOnTop(true);
        MaterialDialog.setBounds(new java.awt.Rectangle(0, 0, 500, 300));
        MaterialDialog.setResizable(false);

        jLabel3.setText("μέτρο διάτμησης");

        jButton5.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_add.png"))); // NOI18N
        jButton5.setText("πρόσθεσε");
        jButton5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton5ActionPerformed(evt);
            }
        });

        jButton6.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_remove.png"))); // NOI18N
        jButton6.setText("αφαίρεσε");
        jButton6.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton6ActionPerformed(evt);
            }
        });

        jButton7.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_delete.png"))); // NOI18N
        jButton7.setText("ακύρωση");
        jButton7.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton7ActionPerformed(evt);
            }
        });

        jButton8.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_check.png"))); // NOI18N
        jButton8.setText("ενημέρωση");
        jButton8.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton8ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout panel4Layout = new javax.swing.GroupLayout(panel4);
        panel4.setLayout(panel4Layout);
        panel4Layout.setHorizontalGroup(
            panel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel4Layout.createSequentialGroup()
                .addContainerGap(14, Short.MAX_VALUE)
                .addGroup(panel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jButton8, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jButton7, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jButton6, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jButton5, javax.swing.GroupLayout.Alignment.TRAILING))
                .addContainerGap())
        );

        panel4Layout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {jButton5, jButton6, jButton7, jButton8});

        panel4Layout.setVerticalGroup(
            panel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel4Layout.createSequentialGroup()
                .addGap(5, 5, 5)
                .addComponent(jButton5)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton6)
                .addGap(5, 5, 5)
                .addComponent(jButton7)
                .addGap(5, 5, 5)
                .addComponent(jButton8)
                .addContainerGap())
        );

        panel4Layout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {jButton5, jButton6, jButton7, jButton8});

        materialTable.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        materialScrollPane.setViewportView(materialTable);

        jLabel4.setText("α/α υλικού");

        javax.swing.GroupLayout MaterialDialogLayout = new javax.swing.GroupLayout(MaterialDialog.getContentPane());
        MaterialDialog.getContentPane().setLayout(MaterialDialogLayout);
        MaterialDialogLayout.setHorizontalGroup(
            MaterialDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(MaterialDialogLayout.createSequentialGroup()
                .addGroup(MaterialDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(MaterialDialogLayout.createSequentialGroup()
                        .addGap(16, 16, 16)
                        .addGroup(MaterialDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel3)
                            .addComponent(jLabel4)))
                    .addGroup(MaterialDialogLayout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(panel4, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(MaterialDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(gTextField)
                    .addComponent(mat_idTextField, javax.swing.GroupLayout.DEFAULT_SIZE, 59, Short.MAX_VALUE))
                .addGap(18, 18, 18)
                .addComponent(materialScrollPane, javax.swing.GroupLayout.DEFAULT_SIZE, 162, Short.MAX_VALUE)
                .addContainerGap())
        );
        MaterialDialogLayout.setVerticalGroup(
            MaterialDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(MaterialDialogLayout.createSequentialGroup()
                .addGap(31, 31, 31)
                .addGroup(MaterialDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(materialScrollPane, javax.swing.GroupLayout.Alignment.LEADING, 0, 0, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, MaterialDialogLayout.createSequentialGroup()
                        .addGroup(MaterialDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel4)
                            .addComponent(mat_idTextField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(MaterialDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel3)
                            .addComponent(gTextField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(27, 27, 27)
                        .addComponent(panel4, javax.swing.GroupLayout.PREFERRED_SIZE, 125, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(79, Short.MAX_VALUE))
        );

        SectionDialog.setTitle("διατομές");
        SectionDialog.setAlwaysOnTop(true);
        SectionDialog.setBounds(new java.awt.Rectangle(0, 0, 700, 300));
        SectionDialog.setResizable(false);

        jLabel5.setText("εσωτερική ακτίνα");

        addSectionButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_add.png"))); // NOI18N
        addSectionButton.setText("πρόσθεσε");
        addSectionButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                addSectionButtonActionPerformed(evt);
            }
        });

        removeSectionButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_remove.png"))); // NOI18N
        removeSectionButton.setText("αφαίρεσε");
        removeSectionButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                removeSectionButtonActionPerformed(evt);
            }
        });

        CancelSectionButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_delete.png"))); // NOI18N
        CancelSectionButton.setText("ακύρωση");
        CancelSectionButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                CancelSectionButtonActionPerformed(evt);
            }
        });

        UpdateSectionButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_check.png"))); // NOI18N
        UpdateSectionButton.setText("ενημέρωση");
        UpdateSectionButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                UpdateSectionButtonActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout panel5Layout = new javax.swing.GroupLayout(panel5);
        panel5.setLayout(panel5Layout);
        panel5Layout.setHorizontalGroup(
            panel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel5Layout.createSequentialGroup()
                .addGap(5, 5, 5)
                .addComponent(addSectionButton)
                .addGap(5, 5, 5)
                .addComponent(removeSectionButton)
                .addGap(5, 5, 5)
                .addComponent(CancelSectionButton)
                .addGap(5, 5, 5)
                .addComponent(UpdateSectionButton)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        panel5Layout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {CancelSectionButton, UpdateSectionButton, addSectionButton, removeSectionButton});

        panel5Layout.setVerticalGroup(
            panel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel5Layout.createSequentialGroup()
                .addGap(5, 5, 5)
                .addComponent(addSectionButton))
            .addGroup(panel5Layout.createSequentialGroup()
                .addGap(5, 5, 5)
                .addComponent(removeSectionButton))
            .addGroup(panel5Layout.createSequentialGroup()
                .addGap(5, 5, 5)
                .addComponent(CancelSectionButton))
            .addGroup(panel5Layout.createSequentialGroup()
                .addGap(5, 5, 5)
                .addComponent(UpdateSectionButton))
        );

        panel5Layout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {CancelSectionButton, UpdateSectionButton, addSectionButton, removeSectionButton});

        SectionTable.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        SectionScrollPane.setViewportView(SectionTable);

        jLabel6.setText("α/α διατομής");

        jLabel7.setText("εξωτερική ακτίνα");

        MatForSecTable.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        MatsForSecPane.setViewportView(MatForSecTable);

        javax.swing.GroupLayout SectionDialogLayout = new javax.swing.GroupLayout(SectionDialog.getContentPane());
        SectionDialog.getContentPane().setLayout(SectionDialogLayout);
        SectionDialogLayout.setHorizontalGroup(
            SectionDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(SectionDialogLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(SectionDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(SectionDialogLayout.createSequentialGroup()
                        .addGroup(SectionDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jLabel7, javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(jLabel6, javax.swing.GroupLayout.PREFERRED_SIZE, 82, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel5))
                        .addGap(41, 41, 41)
                        .addGroup(SectionDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(r1TextField, javax.swing.GroupLayout.DEFAULT_SIZE, 65, Short.MAX_VALUE)
                            .addGroup(SectionDialogLayout.createSequentialGroup()
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(idTextField1))
                            .addComponent(r2TextField)))
                    .addComponent(MatsForSecPane, javax.swing.GroupLayout.PREFERRED_SIZE, 189, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGroup(SectionDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(SectionDialogLayout.createSequentialGroup()
                        .addGap(18, 18, 18)
                        .addComponent(SectionScrollPane, javax.swing.GroupLayout.PREFERRED_SIZE, 429, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(SectionDialogLayout.createSequentialGroup()
                        .addGap(10, 10, 10)
                        .addComponent(panel5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(477, Short.MAX_VALUE))
        );
        SectionDialogLayout.setVerticalGroup(
            SectionDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(SectionDialogLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(SectionDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(SectionDialogLayout.createSequentialGroup()
                        .addGroup(SectionDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel6, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(idTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(SectionDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel5)
                            .addComponent(r1TextField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(SectionDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel7)
                            .addComponent(r2TextField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(MatsForSecPane, javax.swing.GroupLayout.PREFERRED_SIZE, 89, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(SectionDialogLayout.createSequentialGroup()
                        .addGap(5, 5, 5)
                        .addComponent(SectionScrollPane, javax.swing.GroupLayout.PREFERRED_SIZE, 120, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(panel5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(515, Short.MAX_VALUE))
        );

        ElementDialog.setTitle("στοιχεία");
        ElementDialog.setAlwaysOnTop(true);
        ElementDialog.setBounds(new java.awt.Rectangle(0, 0, 700, 300));
        ElementDialog.setResizable(false);

        jLabel8.setText("κόμβος αρχής");

        addElementButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_add.png"))); // NOI18N
        addElementButton.setText("πρόσθεσε");
        addElementButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                addElementButtonActionPerformed(evt);
            }
        });

        removeElementButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_remove.png"))); // NOI18N
        removeElementButton.setText("αφαίρεσε");
        removeElementButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                removeElementButtonActionPerformed(evt);
            }
        });

        CancelElementButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_delete.png"))); // NOI18N
        CancelElementButton.setText("ακύρωση");
        CancelElementButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                CancelElementButtonActionPerformed(evt);
            }
        });

        UpdateElementButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_check.png"))); // NOI18N
        UpdateElementButton.setText("ενημέρωση");
        UpdateElementButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                UpdateElementButtonActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout panel6Layout = new javax.swing.GroupLayout(panel6);
        panel6.setLayout(panel6Layout);
        panel6Layout.setHorizontalGroup(
            panel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel6Layout.createSequentialGroup()
                .addGap(3, 3, 3)
                .addComponent(addElementButton)
                .addGap(5, 5, 5)
                .addComponent(removeElementButton)
                .addGap(5, 5, 5)
                .addComponent(CancelElementButton)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(UpdateElementButton)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        panel6Layout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {CancelElementButton, UpdateElementButton, addElementButton, removeElementButton});

        panel6Layout.setVerticalGroup(
            panel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel6Layout.createSequentialGroup()
                .addGap(5, 5, 5)
                .addGroup(panel6Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(addElementButton)
                    .addComponent(removeElementButton)
                    .addComponent(CancelElementButton)
                    .addComponent(UpdateElementButton)))
        );

        panel6Layout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {CancelElementButton, UpdateElementButton, addElementButton, removeElementButton});

        ElementTable.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        ElementScrollPane.setViewportView(ElementTable);

        jLabel9.setText("α/α στοιχείου");

        jLabel10.setText("κόμβος τέλους");

        jLabel11.setText("διατομή");

        N1ComboBox.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        N1ComboBox.addItemListener(new java.awt.event.ItemListener() {
            public void itemStateChanged(java.awt.event.ItemEvent evt) {
                N1ComboBoxItemStateChanged(evt);
            }
        });
        N1ComboBox.addPropertyChangeListener(new java.beans.PropertyChangeListener() {
            public void propertyChange(java.beans.PropertyChangeEvent evt) {
                N1ComboBoxPropertyChange(evt);
            }
        });

        N2ComboBox.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        N2ComboBox.addItemListener(new java.awt.event.ItemListener() {
            public void itemStateChanged(java.awt.event.ItemEvent evt) {
                N2ComboBoxItemStateChanged(evt);
            }
        });

        SecComboBox.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        javax.swing.GroupLayout ElementDialogLayout = new javax.swing.GroupLayout(ElementDialog.getContentPane());
        ElementDialog.getContentPane().setLayout(ElementDialogLayout);
        ElementDialogLayout.setHorizontalGroup(
            ElementDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(ElementDialogLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(ElementDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(ElementDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(ElementDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(ElementDialogLayout.createSequentialGroup()
                                .addComponent(jLabel10)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 24, Short.MAX_VALUE))
                            .addGroup(ElementDialogLayout.createSequentialGroup()
                                .addComponent(jLabel11)
                                .addGap(58, 58, 58)))
                        .addGroup(ElementDialogLayout.createSequentialGroup()
                            .addComponent(jLabel8)
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)))
                    .addGroup(ElementDialogLayout.createSequentialGroup()
                        .addComponent(jLabel9, javax.swing.GroupLayout.PREFERRED_SIZE, 82, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)))
                .addGroup(ElementDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, ElementDialogLayout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(elem_idTextField, javax.swing.GroupLayout.PREFERRED_SIZE, 55, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(N1ComboBox, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.PREFERRED_SIZE, 62, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(N2ComboBox, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.PREFERRED_SIZE, 62, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(SecComboBox, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGroup(ElementDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(ElementDialogLayout.createSequentialGroup()
                        .addGap(47, 47, 47)
                        .addComponent(ElementScrollPane, javax.swing.GroupLayout.PREFERRED_SIZE, 429, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(ElementDialogLayout.createSequentialGroup()
                        .addGap(37, 37, 37)
                        .addComponent(panel6, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(486, Short.MAX_VALUE))
        );

        ElementDialogLayout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {N1ComboBox, N2ComboBox, SecComboBox});

        ElementDialogLayout.setVerticalGroup(
            ElementDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(ElementDialogLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(ElementScrollPane, javax.swing.GroupLayout.PREFERRED_SIZE, 120, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(panel6, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(532, Short.MAX_VALUE))
            .addGroup(ElementDialogLayout.createSequentialGroup()
                .addGap(17, 17, 17)
                .addGroup(ElementDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(elem_idTextField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel9, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(ElementDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(N1ComboBox, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jLabel8))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(ElementDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel10)
                    .addComponent(N2ComboBox, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 26, Short.MAX_VALUE)
                .addGroup(ElementDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel11)
                    .addComponent(SecComboBox, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(558, 558, 558))
        );

        ElementDialogLayout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {N1ComboBox, N2ComboBox, SecComboBox});

        LoadDialog.setTitle("επιβολή ροπής");
        LoadDialog.setAlwaysOnTop(true);
        LoadDialog.setBounds(new java.awt.Rectangle(0, 0, 500, 300));
        LoadDialog.setResizable(false);

        jLabel12.setText("τιμή ροπής");

        addLoadButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_add.png"))); // NOI18N
        addLoadButton.setText("πρόσθεσε");
        addLoadButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                addLoadButtonActionPerformed(evt);
            }
        });

        removeLoadButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_remove.png"))); // NOI18N
        removeLoadButton.setText("αφαίρεσε");
        removeLoadButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                removeLoadButtonActionPerformed(evt);
            }
        });

        CancelLoadButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_delete.png"))); // NOI18N
        CancelLoadButton.setText("ακύρωση");
        CancelLoadButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                CancelLoadButtonActionPerformed(evt);
            }
        });

        UpdateLoadButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_check.png"))); // NOI18N
        UpdateLoadButton.setText("ενημέρωση");
        UpdateLoadButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                UpdateLoadButtonActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout panel7Layout = new javax.swing.GroupLayout(panel7);
        panel7.setLayout(panel7Layout);
        panel7Layout.setHorizontalGroup(
            panel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, panel7Layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(UpdateLoadButton)
                .addContainerGap())
            .addGroup(panel7Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(CancelLoadButton)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .addGroup(panel7Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(removeLoadButton)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, panel7Layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(addLoadButton)
                .addContainerGap())
        );

        panel7Layout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {CancelLoadButton, UpdateLoadButton, addLoadButton, removeLoadButton});

        panel7Layout.setVerticalGroup(
            panel7Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel7Layout.createSequentialGroup()
                .addGap(5, 5, 5)
                .addComponent(addLoadButton)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(removeLoadButton)
                .addGap(5, 5, 5)
                .addComponent(CancelLoadButton)
                .addGap(5, 5, 5)
                .addComponent(UpdateLoadButton)
                .addGap(11, 11, 11))
        );

        panel7Layout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {CancelLoadButton, UpdateLoadButton, addLoadButton, removeLoadButton});

        LoadTable.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        LoadScrollPane.setViewportView(LoadTable);

        jLabel13.setText("κόμβος στον οποίο δρα");

        LoadNodeCombo.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        javax.swing.GroupLayout LoadDialogLayout = new javax.swing.GroupLayout(LoadDialog.getContentPane());
        LoadDialog.getContentPane().setLayout(LoadDialogLayout);
        LoadDialogLayout.setHorizontalGroup(
            LoadDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(LoadDialogLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(LoadDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(LoadDialogLayout.createSequentialGroup()
                        .addGroup(LoadDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(jLabel12)
                            .addComponent(jLabel13, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addGap(29, 29, 29)
                        .addGroup(LoadDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(LoadDialogLayout.createSequentialGroup()
                                .addComponent(LoadNodeCombo, 0, 71, Short.MAX_VALUE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED))
                            .addComponent(loadValTextField, javax.swing.GroupLayout.PREFERRED_SIZE, 71, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addComponent(panel7, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(36, 36, 36)
                .addComponent(LoadScrollPane, javax.swing.GroupLayout.PREFERRED_SIZE, 189, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        LoadDialogLayout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {LoadNodeCombo, loadValTextField});

        LoadDialogLayout.setVerticalGroup(
            LoadDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(LoadDialogLayout.createSequentialGroup()
                .addGap(31, 31, 31)
                .addGroup(LoadDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(LoadScrollPane, javax.swing.GroupLayout.Alignment.LEADING, 0, 0, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, LoadDialogLayout.createSequentialGroup()
                        .addGroup(LoadDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel12)
                            .addComponent(loadValTextField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(LoadDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel13)
                            .addComponent(LoadNodeCombo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(34, 34, 34)
                        .addComponent(panel7, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(52, Short.MAX_VALUE))
        );

        ConstraintDialog.setTitle("επιβολή γωνίας");
        ConstraintDialog.setAlwaysOnTop(true);
        ConstraintDialog.setBounds(new java.awt.Rectangle(0, 0, 500, 300));
        ConstraintDialog.setResizable(false);

        jLabel14.setText("τιμή γωνίας");

        addConstraintButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_add.png"))); // NOI18N
        addConstraintButton.setText("πρόσθεσε");
        addConstraintButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                addConstraintButtonActionPerformed(evt);
            }
        });

        removeConstraintButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_remove.png"))); // NOI18N
        removeConstraintButton.setText("αφαίρεσε");
        removeConstraintButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                removeConstraintButtonActionPerformed(evt);
            }
        });

        CancelConstraintButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_delete.png"))); // NOI18N
        CancelConstraintButton.setText("ακύρωση");
        CancelConstraintButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                CancelConstraintButtonActionPerformed(evt);
            }
        });

        UpdateConstraintButton.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/action_check.png"))); // NOI18N
        UpdateConstraintButton.setText("ενημέρωση");
        UpdateConstraintButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                UpdateConstraintButtonActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout panel8Layout = new javax.swing.GroupLayout(panel8);
        panel8.setLayout(panel8Layout);
        panel8Layout.setHorizontalGroup(
            panel8Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel8Layout.createSequentialGroup()
                .addGroup(panel8Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(panel8Layout.createSequentialGroup()
                        .addGap(8, 8, 8)
                        .addComponent(addConstraintButton))
                    .addGroup(panel8Layout.createSequentialGroup()
                        .addGap(9, 9, 9)
                        .addComponent(removeConstraintButton))
                    .addGroup(panel8Layout.createSequentialGroup()
                        .addGap(9, 9, 9)
                        .addComponent(CancelConstraintButton))
                    .addGroup(panel8Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(UpdateConstraintButton)))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        panel8Layout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {CancelConstraintButton, UpdateConstraintButton, addConstraintButton, removeConstraintButton});

        panel8Layout.setVerticalGroup(
            panel8Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel8Layout.createSequentialGroup()
                .addGap(5, 5, 5)
                .addComponent(addConstraintButton)
                .addGap(5, 5, 5)
                .addComponent(removeConstraintButton)
                .addGap(5, 5, 5)
                .addComponent(CancelConstraintButton)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(UpdateConstraintButton)
                .addGap(11, 11, 11))
        );

        panel8Layout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {CancelConstraintButton, UpdateConstraintButton, addConstraintButton, removeConstraintButton});

        ConstraintTable.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        ConstraintScrollPane.setViewportView(ConstraintTable);

        jLabel15.setText("κόμβος στον οποίο επιβάλλεται");

        ConstraintNodeCombo.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        javax.swing.GroupLayout ConstraintDialogLayout = new javax.swing.GroupLayout(ConstraintDialog.getContentPane());
        ConstraintDialog.getContentPane().setLayout(ConstraintDialogLayout);
        ConstraintDialogLayout.setHorizontalGroup(
            ConstraintDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(ConstraintDialogLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(ConstraintDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(ConstraintDialogLayout.createSequentialGroup()
                        .addGroup(ConstraintDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel14)
                            .addComponent(jLabel15))
                        .addGap(14, 14, 14)
                        .addGroup(ConstraintDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(ConstraintNodeCombo, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(constraintValTextField, javax.swing.GroupLayout.DEFAULT_SIZE, 71, Short.MAX_VALUE)))
                    .addComponent(panel8, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(41, 41, 41)
                .addComponent(ConstraintScrollPane, javax.swing.GroupLayout.PREFERRED_SIZE, 189, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        ConstraintDialogLayout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {ConstraintNodeCombo, constraintValTextField});

        ConstraintDialogLayout.setVerticalGroup(
            ConstraintDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(ConstraintDialogLayout.createSequentialGroup()
                .addGap(31, 31, 31)
                .addGroup(ConstraintDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                    .addComponent(ConstraintScrollPane, javax.swing.GroupLayout.Alignment.LEADING, 0, 0, Short.MAX_VALUE)
                    .addGroup(javax.swing.GroupLayout.Alignment.LEADING, ConstraintDialogLayout.createSequentialGroup()
                        .addGroup(ConstraintDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel14)
                            .addComponent(constraintValTextField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(ConstraintDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel15)
                            .addComponent(ConstraintNodeCombo, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(34, 34, 34)
                        .addComponent(panel8, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(52, Short.MAX_VALUE))
        );

        TemplateExampleDialog.setTitle("Εισαγωγή δεδομένων");
        TemplateExampleDialog.setAlwaysOnTop(true);
        TemplateExampleDialog.setLocationByPlatform(true);
        TemplateExampleDialog.setMinimumSize(new java.awt.Dimension(300, 400));
        TemplateExampleDialog.setResizable(false);

        jLabel16.setText("μέτρο διάτμησης G1");

        jLabel17.setText("μήκος L1");

        jLabel18.setText("διάμετρος d1");

        jLabel19.setText("γωνία στο πέρας φΒ");

        jLabel20.setText("Δεδομένα αναπαραγωγής άσκησης 3 θέματος 2006-07");

        jButton9.setText("ενημέρωση");
        jButton9.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton9ActionPerformed(evt);
            }
        });

        jButton10.setText("ακύρωση");
        jButton10.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton10ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout TemplateExampleDialogLayout = new javax.swing.GroupLayout(TemplateExampleDialog.getContentPane());
        TemplateExampleDialog.getContentPane().setLayout(TemplateExampleDialogLayout);
        TemplateExampleDialogLayout.setHorizontalGroup(
            TemplateExampleDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(TemplateExampleDialogLayout.createSequentialGroup()
                .addGroup(TemplateExampleDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(TemplateExampleDialogLayout.createSequentialGroup()
                        .addGap(51, 51, 51)
                        .addGroup(TemplateExampleDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(jLabel19)
                            .addComponent(jLabel18)
                            .addComponent(jLabel17)
                            .addComponent(jLabel16))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(TemplateExampleDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(G1TextField, javax.swing.GroupLayout.DEFAULT_SIZE, 73, Short.MAX_VALUE)
                            .addComponent(L1TextField)
                            .addComponent(d1TextField)
                            .addComponent(phiBTextField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(TemplateExampleDialogLayout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabel20, javax.swing.GroupLayout.DEFAULT_SIZE, 291, Short.MAX_VALUE))
                    .addGroup(TemplateExampleDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                        .addGroup(TemplateExampleDialogLayout.createSequentialGroup()
                            .addContainerGap()
                            .addComponent(jButton9)
                            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                            .addComponent(jButton10))
                        .addGroup(javax.swing.GroupLayout.Alignment.LEADING, TemplateExampleDialogLayout.createSequentialGroup()
                            .addContainerGap()
                            .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 272, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
        );

        TemplateExampleDialogLayout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {G1TextField, L1TextField, d1TextField, phiBTextField});

        TemplateExampleDialogLayout.setVerticalGroup(
            TemplateExampleDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(TemplateExampleDialogLayout.createSequentialGroup()
                .addComponent(jLabel20, javax.swing.GroupLayout.PREFERRED_SIZE, 53, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(20, 20, 20)
                .addGroup(TemplateExampleDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel16)
                    .addComponent(G1TextField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(27, 27, 27)
                .addGroup(TemplateExampleDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel17)
                    .addComponent(L1TextField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(37, 37, 37)
                .addGroup(TemplateExampleDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel18)
                    .addComponent(d1TextField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(31, 31, 31)
                .addGroup(TemplateExampleDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel19)
                    .addComponent(phiBTextField, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(TemplateExampleDialogLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButton10)
                    .addComponent(jButton9))
                .addContainerGap(22, Short.MAX_VALUE))
        );

        TemplateExampleDialogLayout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {G1TextField, L1TextField, d1TextField, phiBTextField});

        ParserDialog.setTitle("περιεχόμενα αρχείου που διαβάζεται");
        ParserDialog.setMinimumSize(new java.awt.Dimension(300, 700));

        ParserTextArea.setColumns(20);
        ParserTextArea.setEditable(false);
        ParserTextArea.setRows(5);
        ParserScrollPane.setViewportView(ParserTextArea);

        ParserDialog.getContentPane().add(ParserScrollPane, java.awt.BorderLayout.CENTER);

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("jtorsion - Εκπαιδευτικό λογισμικό: Στρέψη δοκών");

        jToolBar1.setRollover(true);

        LoadFileButton.setText("φόρτωση αρχείου δεδομένων");
        LoadFileButton.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        LoadFileButton.setFocusable(false);
        LoadFileButton.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        LoadFileButton.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        LoadFileButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                LoadFileButtonActionPerformed(evt);
            }
        });
        jToolBar1.add(LoadFileButton);

        SaveFileButton.setText("αποθήκευση αρχείου δεδομένων");
        SaveFileButton.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        SaveFileButton.setFocusable(false);
        SaveFileButton.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        SaveFileButton.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        SaveFileButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                SaveFileButtonActionPerformed(evt);
            }
        });
        jToolBar1.add(SaveFileButton);

        SaveResultsButton.setText("αποθήκευση αρχείου αποτελεσμάτων");
        SaveResultsButton.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        SaveResultsButton.setFocusable(false);
        SaveResultsButton.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        SaveResultsButton.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        SaveResultsButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                SaveResultsButtonActionPerformed(evt);
            }
        });
        jToolBar1.add(SaveResultsButton);

        HelpButton.setText("μετάβαση σε βοήθεια");
        HelpButton.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        HelpButton.setFocusable(false);
        HelpButton.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        HelpButton.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        HelpButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                HelpButtonActionPerformed(evt);
            }
        });
        jToolBar1.add(HelpButton);

        AboutButton.setText("πληροφορίες λογισμικού");
        AboutButton.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        AboutButton.setFocusable(false);
        AboutButton.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        AboutButton.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        AboutButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                AboutButtonActionPerformed(evt);
            }
        });
        jToolBar1.add(AboutButton);

        jButton1.setText("δημιουργία πρότυπου προβλήματος");
        jButton1.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        jButton1.setFocusable(false);
        jButton1.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        jButton1.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });
        jToolBar1.add(jButton1);

        NodeButton.setText("κόμβος");
        NodeButton.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        NodeButton.setFocusable(false);
        NodeButton.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        NodeButton.setPreferredSize(new java.awt.Dimension(50, 21));
        NodeButton.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        NodeButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                NodeButtonActionPerformed(evt);
            }
        });

        MaterialButton.setText("υλικό");
        MaterialButton.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        MaterialButton.setFocusable(false);
        MaterialButton.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        MaterialButton.setPreferredSize(new java.awt.Dimension(50, 21));
        MaterialButton.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        MaterialButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                MaterialButtonActionPerformed(evt);
            }
        });

        SectionButton.setText("διατομή");
        SectionButton.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        SectionButton.setFocusable(false);
        SectionButton.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        SectionButton.setPreferredSize(new java.awt.Dimension(50, 21));
        SectionButton.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        SectionButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                SectionButtonActionPerformed(evt);
            }
        });

        ElementButton.setText("στοιχείο");
        ElementButton.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        ElementButton.setFocusable(false);
        ElementButton.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        ElementButton.setPreferredSize(new java.awt.Dimension(50, 21));
        ElementButton.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        ElementButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ElementButtonActionPerformed(evt);
            }
        });

        TorqueButton.setText("ροπή");
        TorqueButton.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        TorqueButton.setFocusable(false);
        TorqueButton.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        TorqueButton.setPreferredSize(new java.awt.Dimension(50, 21));
        TorqueButton.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        TorqueButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                TorqueButtonActionPerformed(evt);
            }
        });

        AngleButton.setText("γωνία");
        AngleButton.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        AngleButton.setFocusable(false);
        AngleButton.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        AngleButton.setPreferredSize(new java.awt.Dimension(50, 21));
        AngleButton.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        AngleButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                AngleButtonActionPerformed(evt);
            }
        });

        jButton11.setText("νέο");
        jButton11.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        jButton11.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton11ActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout panel1Layout = new javax.swing.GroupLayout(panel1);
        panel1.setLayout(panel1Layout);
        panel1Layout.setHorizontalGroup(
            panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel1Layout.createSequentialGroup()
                .addGroup(panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(panel1Layout.createSequentialGroup()
                        .addGap(10, 10, 10)
                        .addGroup(panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(NodeButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(MaterialButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(SectionButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(ElementButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(TorqueButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(AngleButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(panel1Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jButton11)))
                .addContainerGap(23, Short.MAX_VALUE))
        );

        panel1Layout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {AngleButton, ElementButton, MaterialButton, NodeButton, SectionButton, TorqueButton, jButton11});

        panel1Layout.setVerticalGroup(
            panel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel1Layout.createSequentialGroup()
                .addGap(5, 5, 5)
                .addComponent(NodeButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(5, 5, 5)
                .addComponent(MaterialButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(5, 5, 5)
                .addComponent(SectionButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(5, 5, 5)
                .addComponent(ElementButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(5, 5, 5)
                .addComponent(TorqueButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(5, 5, 5)
                .addComponent(AngleButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton11)
                .addGap(97, 97, 97))
        );

        panel1Layout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {AngleButton, ElementButton, MaterialButton, NodeButton, SectionButton, TorqueButton, jButton11});

        AnalysisButton.setText("ανάλυση");
        AnalysisButton.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        AnalysisButton.setFocusable(false);
        AnalysisButton.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        AnalysisButton.setPreferredSize(new java.awt.Dimension(50, 21));
        AnalysisButton.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        AnalysisButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                AnalysisButtonActionPerformed(evt);
            }
        });

        TorqueDiagramButton.setText("ροπές");
        TorqueDiagramButton.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        TorqueDiagramButton.setFocusable(false);
        TorqueDiagramButton.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        TorqueDiagramButton.setPreferredSize(new java.awt.Dimension(50, 21));
        TorqueDiagramButton.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        TorqueDiagramButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                TorqueDiagramButtonActionPerformed(evt);
            }
        });

        AngleDiagramButton.setText("γωνίες");
        AngleDiagramButton.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        AngleDiagramButton.setFocusable(false);
        AngleDiagramButton.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        AngleDiagramButton.setPreferredSize(new java.awt.Dimension(50, 21));
        AngleDiagramButton.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        AngleDiagramButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                AngleDiagramButtonActionPerformed(evt);
            }
        });

        jButton2.setText("καθάρισε");
        jButton2.setActionCommand("καθαρισμός");
        jButton2.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        jButton2.setFocusable(false);
        jButton2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton2ActionPerformed(evt);
            }
        });

        jButton3.setText("max τ");
        jButton3.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        jButton3.setFocusable(false);
        jButton3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton3ActionPerformed(evt);
            }
        });

        jButton4.setText("γωνία,i");
        jButton4.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        jButton4.setFocusable(false);
        jButton4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton4ActionPerformed(evt);
            }
        });

        jToggleButton1.setText("τιμές άξονα");
        jToggleButton1.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        jToggleButton1.setFocusable(false);
        jToggleButton1.addChangeListener(new javax.swing.event.ChangeListener() {
            public void stateChanged(javax.swing.event.ChangeEvent evt) {
                jToggleButton1StateChanged(evt);
            }
        });

        jToggleButton2.setText("τιμές διάγραμμα");
        jToggleButton2.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        jToggleButton2.setFocusable(false);
        jToggleButton2.addChangeListener(new javax.swing.event.ChangeListener() {
            public void stateChanged(javax.swing.event.ChangeEvent evt) {
                jToggleButton2StateChanged(evt);
            }
        });

        javax.swing.GroupLayout panel2Layout = new javax.swing.GroupLayout(panel2);
        panel2.setLayout(panel2Layout);
        panel2Layout.setHorizontalGroup(
            panel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(TorqueDiagramButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addComponent(AnalysisButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addComponent(AngleDiagramButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addComponent(jButton3)
            .addComponent(jButton4)
            .addComponent(jButton2)
            .addComponent(jToggleButton1)
            .addComponent(jToggleButton2)
        );

        panel2Layout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {AnalysisButton, AngleDiagramButton, TorqueDiagramButton, jButton2, jButton3, jButton4, jToggleButton1, jToggleButton2});

        panel2Layout.setVerticalGroup(
            panel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panel2Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(AnalysisButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(TorqueDiagramButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(4, 4, 4)
                .addComponent(AngleDiagramButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton3)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton4)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton2)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jToggleButton1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jToggleButton2)
                .addContainerGap(174, Short.MAX_VALUE))
        );

        panel2Layout.linkSize(javax.swing.SwingConstants.VERTICAL, new java.awt.Component[] {AnalysisButton, AngleDiagramButton, TorqueDiagramButton, jButton2, jButton3, jButton4, jToggleButton1, jToggleButton2});

        javax.swing.GroupLayout drawPanelInput1Layout = new javax.swing.GroupLayout(drawPanelInput1);
        drawPanelInput1.setLayout(drawPanelInput1Layout);
        drawPanelInput1Layout.setHorizontalGroup(
            drawPanelInput1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 808, Short.MAX_VALUE)
        );
        drawPanelInput1Layout.setVerticalGroup(
            drawPanelInput1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 280, Short.MAX_VALUE)
        );

        javax.swing.GroupLayout drawPanelOutput1Layout = new javax.swing.GroupLayout(drawPanelOutput1);
        drawPanelOutput1.setLayout(drawPanelOutput1Layout);
        drawPanelOutput1Layout.setHorizontalGroup(
            drawPanelOutput1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 808, Short.MAX_VALUE)
        );
        drawPanelOutput1Layout.setVerticalGroup(
            drawPanelOutput1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 393, Short.MAX_VALUE)
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jToolBar1, javax.swing.GroupLayout.DEFAULT_SIZE, 911, Short.MAX_VALUE)
                    .addGroup(layout.createSequentialGroup()
                        .addContainerGap()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(panel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(panel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(drawPanelOutput1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(drawPanelInput1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jToolBar1, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(drawPanelInput1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(panel1, javax.swing.GroupLayout.DEFAULT_SIZE, 280, Short.MAX_VALUE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(drawPanelOutput1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(panel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

private void NodeButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_NodeButtonActionPerformed
// TODO add your handling code here:   
    
    DefaultTableModel tableModel = (DefaultTableModel) nodeTable.getModel();
    while (tableModel.getRowCount() != 0) {
        tableModel.removeRow(tableModel.getRowCount() - 1);
    }
    xTextField.setText("");
    idTextField.setText("");
    tableModel.setColumnCount(0);
    String name= "α/α κόμβου";
    tableModel.addColumn(name);
    name= "x κόμβου";
    tableModel.addColumn(name);
    // Refill node table with domain nodes
    Map<Integer,core.Node> nodes = domain.getNodes();
    for(Iterator<Node> it=nodes.values().iterator(); it.hasNext();){
            Node theNode = it.next();
            double x = theNode.getX();
            int id = theNode.getId();
        tableModel.addRow(new Object[]{id,x});
        }

    nodeDialog.setLocationRelativeTo(this);
    nodeDialog.setVisible(true);
}//GEN-LAST:event_NodeButtonActionPerformed

private void removeNodeButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_removeNodeButtonActionPerformed
// TODO add your handling code here:
    if(nodeTable.getSelectedRowCount()>0){
        DefaultTableModel tableModel2 = new DefaultTableModel();
        tableModel2.setColumnCount(0);
        String name= "α/α κόμβου";
        tableModel2.addColumn(name);
        name= "x κόμβου";
        tableModel2.addColumn(name);
        boolean ask=false;
        int node_id=0;
        for(int i=0; i<nodeTable.getRowCount(); i++){
            node_id=(Integer) nodeTable.getValueAt(i, 0);
            ask=domain.NodeInUse(node_id);
            if(nodeTable.isRowSelected(i)&&ask){
                JOptionPane.showMessageDialog(nodeDialog, "ο κόμβος με α/α "+node_id+" δε μπορεί να αφαιρεθεί επειδή χρησιμοποιείται απο κάποιο άλλο αντικείμενο",
                    "προσοχή",JOptionPane.WARNING_MESSAGE);
            }
            if(!nodeTable.isRowSelected(i) || (nodeTable.isRowSelected(i)&&ask)  ){
                tableModel2.addRow(new Object[]{nodeTable.getValueAt(i, 0),nodeTable.getValueAt(i, 1)});
            }
        }
        nodeTable.setModel(tableModel2);        
    }
}//GEN-LAST:event_removeNodeButtonActionPerformed

private void addNodeButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_addNodeButtonActionPerformed
// TODO add your handling code here:
    int id = Integer.parseInt(idTextField.getText());
    if(!domain.NodeExistence(id)){
        DefaultTableModel tableModel = (DefaultTableModel) nodeTable.getModel();
        double xval=Double.parseDouble(xTextField.getText());
        tableModel.addRow(new Object[]{id,xval});
    }else{
        JOptionPane.showMessageDialog(nodeDialog, "ο κόμβος με α/α "+id+" υπάρχει ήδη",
                    "προσοχή",JOptionPane.WARNING_MESSAGE);
    }
    
}//GEN-LAST:event_addNodeButtonActionPerformed

private void CancelNodeButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_CancelNodeButtonActionPerformed
// TODO add your handling code here:
    nodeDialog.setVisible(false);
}//GEN-LAST:event_CancelNodeButtonActionPerformed

private void UpdateNodeButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_UpdateNodeButtonActionPerformed
// TODO add your handling code here:
    Map<Integer,core.Node> theNodes=new HashMap<Integer,core.Node>();
    core.Node aNode=null;
    for(int i=0; i<nodeTable.getRowCount(); i++){
        aNode= new core.Node((Integer) nodeTable.getValueAt(i, 0),(Double) nodeTable.getValueAt(i, 1));
        theNodes.put(aNode.getId(), aNode);
    }
    domain.setNodes(theNodes);
    nodeDialog.setVisible(false);
    drawPanelInput1.plot();
}//GEN-LAST:event_UpdateNodeButtonActionPerformed

private void jButton5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton5ActionPerformed
// TODO add your handling code here:
    // prosthesi
    int id = Integer.parseInt(mat_idTextField.getText());
    if(!domain.MaterialExistence(id)){
        DefaultTableModel tableModel = (DefaultTableModel) materialTable.getModel();
        double xval=Double.parseDouble(gTextField.getText());
        tableModel.addRow(new Object[]{id,xval});
    }else{
        JOptionPane.showMessageDialog(nodeDialog, "το υλικό με α/α "+id+" υπάρχει ήδη",
                    "προσοχή",JOptionPane.WARNING_MESSAGE);
    }
}//GEN-LAST:event_jButton5ActionPerformed

private void jButton6ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton6ActionPerformed
// TODO add your handling code here:
    // afairesi
    if(materialTable.getSelectedRowCount()>0){
        DefaultTableModel tableModel2 = new DefaultTableModel();
        tableModel2.setColumnCount(0);
        String name= "α/α υλικού";
        tableModel2.addColumn(name);
        name= "μέτρο διάτμησης";
        tableModel2.addColumn(name);
        boolean ask=false;
        int mat_id=0;
        
        for(int i=0; i<materialTable.getRowCount(); i++){
            mat_id=(Integer) materialTable.getValueAt(i, 0);
            ask=domain.MaterialInUse(mat_id);
            if(materialTable.isRowSelected(i)&&ask){
                JOptionPane.showMessageDialog(materialTable, "το υλικό με α/α "+mat_id+" δε μπορεί να αφαιρεθεί επειδή χρησιμοποιείται απο κάποιο άλλο αντικείμενο",
                    "προσοχή",JOptionPane.WARNING_MESSAGE);
            }
            if(!materialTable.isRowSelected(i) || (materialTable.isRowSelected(i)&&ask)  ){
                tableModel2.addRow(new Object[]{materialTable.getValueAt(i, 0),materialTable.getValueAt(i, 1)});
            }
        }
        materialTable.setModel(tableModel2);        
    }
}//GEN-LAST:event_jButton6ActionPerformed

private void jButton7ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton7ActionPerformed
// TODO add your handling code here:
    // akirosi
    MaterialDialog.setVisible(false);
}//GEN-LAST:event_jButton7ActionPerformed

private void jButton8ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton8ActionPerformed
// TODO add your handling code here:
    Map<Integer,core.Material> theMaterials=new HashMap<Integer,core.Material>();
    core.Material aMaterial=null;
    for(int i=0; i<materialTable.getRowCount(); i++){
        aMaterial= new core.Material((Integer) materialTable.getValueAt(i, 0),(Double) materialTable.getValueAt(i, 1));
        theMaterials.put(aMaterial.getId(), aMaterial);
    }
    domain.setMaterials(theMaterials);
    MaterialDialog.setVisible(false);
}//GEN-LAST:event_jButton8ActionPerformed

private void MaterialButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_MaterialButtonActionPerformed
// TODO add your handling code here:
    DefaultTableModel tableModel = (DefaultTableModel) materialTable.getModel();
    while (tableModel.getRowCount() != 0) {
        tableModel.removeRow(tableModel.getRowCount() - 1);
    }
    gTextField.setText("");
    mat_idTextField.setText("");
    tableModel.setColumnCount(0);
    String name= "α/α υλικού";
    tableModel.addColumn(name);
    name= "μέτρο διάτμησης";
    tableModel.addColumn(name);
    // Refill node table with domain nodes
    Map<Integer,core.Material> Materials = domain.getMaterials();
    for(Iterator<Material> it=Materials.values().iterator(); it.hasNext();){
            Material theMaterial = it.next();
            double x = theMaterial.getGamma();
            int id = theMaterial.getId();
        tableModel.addRow(new Object[]{id,x});
        }
    
    MaterialDialog.setLocationRelativeTo(this);
    MaterialDialog.setVisible(true);
    
}//GEN-LAST:event_MaterialButtonActionPerformed

private void addSectionButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_addSectionButtonActionPerformed
// TODO add your handling code here:
    int id = Integer.parseInt(idTextField1.getText());
    if(!domain.SectionExistence(id)){
        DefaultTableModel tableModel = (DefaultTableModel) SectionTable.getModel();
        double r1 = Double.parseDouble(r1TextField.getText());
        double r2 = Double.parseDouble(r2TextField.getText());
        double Ip = new Section(1,r1,r2,new Material(1,100)).getIp();
        int sel=MatForSecTable.getSelectedRow();
        int mat_id=(Integer) MatForSecTable.getValueAt(sel, 0);
        if(sel>=0){
            tableModel.addRow(new Object[]{id,r1,r2,Ip,mat_id});
        }
    }else{
        JOptionPane.showMessageDialog(SectionDialog, "η διατομή με α/α "+id+" υπάρχει ήδη",
                    "προσοχή",JOptionPane.WARNING_MESSAGE);
    }
}//GEN-LAST:event_addSectionButtonActionPerformed

private void removeSectionButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_removeSectionButtonActionPerformed
// TODO add your handling code here:
    if(SectionTable.getSelectedRowCount()>0){
        DefaultTableModel tableModel = new DefaultTableModel();
        tableModel.setColumnCount(0);
        String name= "α/α υλικού";
        tableModel.addColumn(name);
        name= "εσωτερική ακτίνα";
        tableModel.addColumn(name);
        name= "εξωτερική ακτίνα";
        tableModel.addColumn(name);
        name= "στρεπτική ροπή αδράνειας";
        tableModel.addColumn(name);
        name= "α/α υλικού για αυτή τη διατομή";
        tableModel.addColumn(name);
        boolean ask=false;
        int sec_id=0;
        for(int i=0; i<SectionTable.getRowCount(); i++){
            sec_id=(Integer) SectionTable.getValueAt(i, 0);
            ask=domain.SectionInUse(sec_id);
            if(SectionTable.isRowSelected(i)&&ask){
                JOptionPane.showMessageDialog(SectionDialog, "η διατομή με α/α "+sec_id+" δε μπορεί να αφαιρεθεί επειδή χρησιμοποιείται απο κάποιο άλλο αντικείμενο",
                    "προσοχή",JOptionPane.WARNING_MESSAGE);
            }
            if(!SectionTable.isRowSelected(i) || (SectionTable.isRowSelected(i)&&ask)  ){
                tableModel.addRow(new Object[]{SectionTable.getValueAt(i, 0),SectionTable.getValueAt(i, 1),
                                               SectionTable.getValueAt(i, 2),SectionTable.getValueAt(i, 3),
                                               SectionTable.getValueAt(i, 4)
                });
            }
        }
        SectionTable.setModel(tableModel);        
    }
}//GEN-LAST:event_removeSectionButtonActionPerformed

private void CancelSectionButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_CancelSectionButtonActionPerformed
// TODO add your handling code here:
    SectionDialog.setVisible(false);
}//GEN-LAST:event_CancelSectionButtonActionPerformed

private void UpdateSectionButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_UpdateSectionButtonActionPerformed
// TODO add your handling code here:
    Map<Integer,Section> theSections=new HashMap<Integer,Section>();
    Section aSection=null;
    int whichMat;
    for(int i=0; i<SectionTable.getRowCount(); i++){
        whichMat=(Integer) SectionTable.getValueAt(i, 4);
        aSection= new Section((Integer) SectionTable.getValueAt(i, 0),(Double) SectionTable.getValueAt(i, 1),(Double) SectionTable.getValueAt(i, 2),domain.getMaterial(whichMat));
        theSections.put(aSection.getId(), aSection);
    }
    domain.setSections(theSections);
    SectionDialog.setVisible(false);
    drawPanelInput1.plot();
}//GEN-LAST:event_UpdateSectionButtonActionPerformed

private void SectionButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_SectionButtonActionPerformed
// TODO add your handling code here:
    DefaultTableModel tableModel = (DefaultTableModel) SectionTable.getModel();
    while (tableModel.getRowCount() != 0) {
        tableModel.removeRow(tableModel.getRowCount() - 1);
    }
    r1TextField.setText("");
    r2TextField.setText("");
    idTextField1.setText("");
    tableModel.setColumnCount(0);
    String name= "α/α διατομής";
    tableModel.addColumn(name);
    name= "εσωτερική ακτίνα";
    tableModel.addColumn(name);
    name= "εξωτερική ακτίνα";
    tableModel.addColumn(name);
    name= "στρεπτική ροπή αδράνειας";
    tableModel.addColumn(name);
    name= "α/α υλικου για αυτή τη διατομή";
    tableModel.addColumn(name);
    // Refill node table with domain nodes
    Map<Integer,core.Section> Sections = domain.getSections();
    int id ;
    double r1;
    double r2 ;
    double Ip ;
    int mat_id;
    for(Iterator<Section> it=Sections.values().iterator(); it.hasNext();){
            Section theSection = it.next();
            id=theSection.getId();
            r1=theSection.getR1();
            r2=theSection.getR2();
            Ip=theSection.getIp();
            mat_id=theSection.getMaterial().getId();
            tableModel.addRow(new Object[]{id,r1,r2,Ip,mat_id});
        }
    
    MatForSecTable.setSelectionMode(0);
    DefaultTableModel tableModel2 = (DefaultTableModel) MatForSecTable.getModel();
    while (tableModel2.getRowCount() != 0) {
        tableModel2.removeRow(tableModel2.getRowCount() - 1);
    }
    tableModel2.setColumnCount(0);
    name= "α/α υλικού";
    tableModel2.addColumn(name);
    name= "μετρο διάτμησης";
    tableModel2.addColumn(name);
    Map<Integer,core.Material> Materials = domain.getMaterials();
    double x ;
    for(Iterator<Material> it=Materials.values().iterator(); it.hasNext();){
            Material theMaterial = it.next();
            id=theMaterial.getId();
            x=theMaterial.getGamma();
            tableModel2.addRow(new Object[]{id,x});
        }
    
    
    SectionDialog.setLocationRelativeTo(this);
    SectionDialog.setVisible(true);
}//GEN-LAST:event_SectionButtonActionPerformed

private void addElementButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_addElementButtonActionPerformed
// TODO add your handling code here:
    int id = Integer.parseInt(elem_idTextField.getText());
    if(!domain.ElementExistence(id)){
        DefaultTableModel tableModel = (DefaultTableModel) ElementTable.getModel();
        int r1 = (Integer) N1ComboBox.getSelectedItem();
        int r2 = (Integer) N2ComboBox.getSelectedItem();
        int mat_id = (Integer) SecComboBox.getSelectedItem();
        tableModel.addRow(new Object[]{id,r1,r2,mat_id});
    }else{
        JOptionPane.showMessageDialog(ElementDialog, "to στοιχείο με α/α "+id+" υπάρχει ήδη",
                    "προσοχή",JOptionPane.WARNING_MESSAGE);
    }
}//GEN-LAST:event_addElementButtonActionPerformed

private void removeElementButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_removeElementButtonActionPerformed
// TODO add your handling code here:
    if(ElementTable.getSelectedRowCount()>0){
        DefaultTableModel tableModel = new DefaultTableModel();
        tableModel.setColumnCount(0);
        String name= "α/α στοιχείου";
        tableModel.addColumn(name);
        name= "κόμβος αρχής";
        tableModel.addColumn(name);
        name= "κόμβος τέλους";
        tableModel.addColumn(name);
        name= "α/α διατομής για αυτο το στοιχείο";
        tableModel.addColumn(name);
        boolean ask=false;
        int elem_id=0;
        for(int i=0; i<ElementTable.getRowCount(); i++){
            elem_id=(Integer) ElementTable.getValueAt(i, 0);
            ask=domain.ElementExistence(elem_id);
            if(ElementTable.isRowSelected(i)&&ask){
                JOptionPane.showMessageDialog(ElementDialog, "το στοιχείο με α/α "+elem_id+" δε μπορεί να αφαιρεθεί επειδή χρησιμοποιείται απο κάποιο άλλο αντικείμενο",
                    "προσοχή",JOptionPane.WARNING_MESSAGE);
            }
            if(!ElementTable.isRowSelected(i) || (ElementTable.isRowSelected(i)&&ask)  ){
                tableModel.addRow(new Object[]{ElementTable.getValueAt(i, 0),ElementTable.getValueAt(i, 1),
                                               ElementTable.getValueAt(i, 2),ElementTable.getValueAt(i, 3)
                });
            }
        }
        ElementTable.setModel(tableModel);        
    }

}//GEN-LAST:event_removeElementButtonActionPerformed

private void CancelElementButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_CancelElementButtonActionPerformed
// TODO add your handling code here:
    ElementDialog.setVisible(false);
}//GEN-LAST:event_CancelElementButtonActionPerformed

private void UpdateElementButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_UpdateElementButtonActionPerformed
// TODO add your handling code here:
    Map<Integer,Element> theElements=new HashMap<Integer,Element>();
    Element aElement=null;
    for(int i=0; i<ElementTable.getRowCount(); i++){
        int wn1=(Integer) ElementTable.getValueAt(i, 1);
        int wn2=(Integer) ElementTable.getValueAt(i, 2);
        int ws=(Integer) ElementTable.getValueAt(i, 3);
        aElement= new Element((Integer) ElementTable.getValueAt(i, 0),domain.getNode(wn1),domain.getNode(wn2),domain.getSection(ws));
        theElements.put(aElement.getId(), aElement);
    }
    domain.setElements(theElements);
    ElementDialog.setVisible(false);
    drawPanelInput1.plot();
}//GEN-LAST:event_UpdateElementButtonActionPerformed

private void ElementButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ElementButtonActionPerformed
// TODO add your handling code here:
    DefaultTableModel tableModel = (DefaultTableModel) ElementTable.getModel();
    while (tableModel.getRowCount() != 0) {
        tableModel.removeRow(tableModel.getRowCount() - 1);
    }
    N1ComboBox.removeAllItems();
    N2ComboBox.removeAllItems();
    SecComboBox.removeAllItems();
    Map<Integer,Node> Nodes = domain.getNodes();
    for(Iterator<Node> it=Nodes.values().iterator(); it.hasNext();){
            Node theNode = it.next();
            N1ComboBox.addItem(theNode.getId());
            N2ComboBox.addItem(theNode.getId());
        }
    Map<Integer,Section> Sections = domain.getSections();
    for(Iterator<Section> it=Sections.values().iterator(); it.hasNext();){
            Section theSection = it.next();
            SecComboBox.addItem(theSection.getId());
        }
    
    elem_idTextField.setText("");
    tableModel.setColumnCount(0);
    String name= "α/α στοιχείου";
    tableModel.addColumn(name);
    name= "κόμβος αρχής";
    tableModel.addColumn(name);
    name= "κόμβος τέλους";
    tableModel.addColumn(name);
    name= "α/α διατομής για αυτο το στοιχείο";
    tableModel.addColumn(name);
    // Refill node table with domain nodes
    Map<Integer,Element> Elements = domain.getElements();
    int id ;
    int n1;
    int n2 ;
    int sec_id;
    for(Iterator<Element> it=Elements.values().iterator(); it.hasNext();){
            Element theElement = it.next();
            id=theElement.getId();
            n1=theElement.getN1().getId();
            n2=theElement.getN2().getId();
            sec_id=theElement.getSection().getId();
            tableModel.addRow(new Object[]{id,n1,n2,sec_id});
        }   
    
    ElementDialog.setLocationRelativeTo(this);
    ElementDialog.setVisible(true);
}//GEN-LAST:event_ElementButtonActionPerformed

private void TorqueButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_TorqueButtonActionPerformed
// TODO add your handling code here:
    DefaultTableModel tableModel = (DefaultTableModel) LoadTable.getModel();
    while (tableModel.getRowCount() != 0) {
        tableModel.removeRow(tableModel.getRowCount() - 1);
    }
    loadValTextField.setText("");
    LoadNodeCombo.removeAllItems();
    Map<Integer,Node> Nodes = domain.getNodes();
    for(Iterator<Node> it=Nodes.values().iterator(); it.hasNext();){
            Node theNode = it.next();
            LoadNodeCombo.addItem(theNode.getId());
        }
    tableModel.setColumnCount(0);
    String name= "α/α κόμβου όπου δρα η ροπή";
    tableModel.addColumn(name);
    name= "τιμή ροπής";
    tableModel.addColumn(name);
    // Refill node table with domain nodes
    Map<Integer,core.Load> Loads = domain.getLoads();
    for(Iterator<Load> it=Loads.values().iterator(); it.hasNext();){
            Load theLoad = it.next();
            double val = theLoad.getLoadValue();
            int id_node = theLoad.getNode().getId();
        tableModel.addRow(new Object[]{id_node,val});
        }

    LoadDialog.setLocationRelativeTo(this);
    LoadDialog.setVisible(true);
}//GEN-LAST:event_TorqueButtonActionPerformed

private void addLoadButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_addLoadButtonActionPerformed
// TODO add your handling code here:
    DefaultTableModel tableModel = (DefaultTableModel) LoadTable.getModel();
    int id = (Integer) LoadNodeCombo.getSelectedItem();
    double val = Double.parseDouble(loadValTextField.getText());
    tableModel.addRow(new Object[]{id,val});
}//GEN-LAST:event_addLoadButtonActionPerformed

private void removeLoadButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_removeLoadButtonActionPerformed
// TODO add your handling code here:
    if(LoadTable.getSelectedRowCount()>0){
        DefaultTableModel tableModel = new DefaultTableModel();
        tableModel.setColumnCount(0);
        String name= "α/α κόμβου όπου δρα η ροπή";
        tableModel.addColumn(name);
        name= "τιμή ροπής";
        tableModel.addColumn(name);
        for(int i=0; i<LoadTable.getRowCount(); i++){
            if(!LoadTable.isRowSelected(i)){
                tableModel.addRow(new Object[]{LoadTable.getValueAt(i, 0),LoadTable.getValueAt(i, 1)});
            }
        }
        LoadTable.setModel(tableModel);        
    }
}//GEN-LAST:event_removeLoadButtonActionPerformed

private void CancelLoadButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_CancelLoadButtonActionPerformed
// TODO add your handling code here:
    LoadDialog.setVisible(false);
}//GEN-LAST:event_CancelLoadButtonActionPerformed

private void UpdateLoadButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_UpdateLoadButtonActionPerformed
// TODO add your handling code here:
    Map<Integer,Load> theLoads=new HashMap<Integer,Load>();
    Load aLoad=new Load(); aLoad.clear();
    for(int i=0; i<LoadTable.getRowCount(); i++){
        double val=(Double) LoadTable.getValueAt(i, 1);
        int wn=(Integer) LoadTable.getValueAt(i, 0);
        
        aLoad= new Load(domain.getNode(wn),val);
        theLoads.put(aLoad.getId(), aLoad);
    }
    domain.setLoads(theLoads);
    drawPanelInput1.plot();
    LoadDialog.setVisible(false);
}//GEN-LAST:event_UpdateLoadButtonActionPerformed

private void addConstraintButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_addConstraintButtonActionPerformed
// TODO add your handling code here:
    DefaultTableModel tableModel = (DefaultTableModel) ConstraintTable.getModel();
    int id = (Integer) ConstraintNodeCombo.getSelectedItem();
    double val = Double.parseDouble(constraintValTextField.getText());
    tableModel.addRow(new Object[]{id,val});
}//GEN-LAST:event_addConstraintButtonActionPerformed

private void removeConstraintButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_removeConstraintButtonActionPerformed
// TODO add your handling code here:
    if(ConstraintTable.getSelectedRowCount()>0){
        DefaultTableModel tableModel = new DefaultTableModel();
        tableModel.setColumnCount(0);
        String name= "α/α κόμβου όπου επιβάλλεται η γωνία";
        tableModel.addColumn(name);
        name= "τιμή γωνίας";
        tableModel.addColumn(name);
        for(int i=0; i<ConstraintTable.getRowCount(); i++){
            if(!ConstraintTable.isRowSelected(i)){
                tableModel.addRow(new Object[]{ConstraintTable.getValueAt(i, 0),ConstraintTable.getValueAt(i, 1)});
            }
        }
        ConstraintTable.setModel(tableModel); 
    }
}//GEN-LAST:event_removeConstraintButtonActionPerformed

private void CancelConstraintButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_CancelConstraintButtonActionPerformed
// TODO add your handling code here:
    ConstraintDialog.setVisible(false);
}//GEN-LAST:event_CancelConstraintButtonActionPerformed

private void UpdateConstraintButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_UpdateConstraintButtonActionPerformed
// TODO add your handling code here:
    Map<Integer,Constraint> theConstraints=new HashMap<Integer,Constraint>();
    Constraint aConstraint=new Constraint(); aConstraint.clear();
    for(int i=0; i<ConstraintTable.getRowCount(); i++){
        double val=(Double) ConstraintTable.getValueAt(i, 1);
        int wn=(Integer) ConstraintTable.getValueAt(i, 0);
        
        aConstraint= new Constraint(domain.getNode(wn),val);
        theConstraints.put(aConstraint.getId(), aConstraint);
    }
    domain.setConstraints(theConstraints);
    drawPanelInput1.plot();
    ConstraintDialog.setVisible(false);
}//GEN-LAST:event_UpdateConstraintButtonActionPerformed

private void AngleButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_AngleButtonActionPerformed
// TODO add your handling code here:
    DefaultTableModel tableModel = (DefaultTableModel) ConstraintTable.getModel();
    while (tableModel.getRowCount() != 0) {
        tableModel.removeRow(tableModel.getRowCount() - 1);
    }
    constraintValTextField.setText("");
    ConstraintNodeCombo.removeAllItems();
    Map<Integer,Node> Nodes = domain.getNodes();
    for(Iterator<Node> it=Nodes.values().iterator(); it.hasNext();){
            Node theNode = it.next();
            ConstraintNodeCombo.addItem(theNode.getId());
        }
    tableModel.setColumnCount(0);
    String name= "α/α κόμβου όπου επιβάλλεται η γωνία";
    tableModel.addColumn(name);
    name= "τιμή γωνίας";
    tableModel.addColumn(name);
    // Refill node table with domain nodes
    Map<Integer,core.Constraint> Constraints = domain.getConstraints();
    for(Iterator<Constraint> it=Constraints.values().iterator(); it.hasNext();){
            Constraint theConstraint = it.next();
            double val = theConstraint.getConstraintValue();
            int id_node = theConstraint.getNode().getId();
        tableModel.addRow(new Object[]{id_node,val});
        }

    ConstraintDialog.setLocationRelativeTo(this);
    ConstraintDialog.setVisible(true);
}//GEN-LAST:event_AngleButtonActionPerformed

private void AnalysisButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_AnalysisButtonActionPerformed
// TODO add your handling code here:
    AnalysisButton.setEnabled(false);
    domain.analyse();
    drawPanelOutput1.setRes(0);
    drawPanelOutput1.plot();
    AnalysisButton.setEnabled(true);
}//GEN-LAST:event_AnalysisButtonActionPerformed

private void SaveFileButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_SaveFileButtonActionPerformed
// TODO add your handling code here:
    int action = theFileChooser.showSaveDialog(this);
    if (action != JFileChooser.APPROVE_OPTION) {
            // User has canceled, or an error occurred.
            return;
        }
        outFile = theFileChooser.getSelectedFile();
        if (outFile.exists()) {
            // If file already exists, ask before replacing it.
            action = JOptionPane.showConfirmDialog(this,
                    "Replace existing file?");
            if (action != JOptionPane.YES_OPTION)
                return;
        }
        try {
            // Create a PrintWriter for writing to the specified
            // file and write the text from the window to that stream.
            PrintWriter out = new PrintWriter(new FileWriter(outFile));
            domain.exportFile(out);
            //String contents = text.getText();
            //out.print(contents);
            if (out.checkError())
                throw new IOException("Error while writing to file.");
            out.close();
        }catch (IOException e) {
            // Some error has occurred while trying to write.
            // Show an error message
            JOptionPane.showMessageDialog(this,
                    "Sorry, an error has occurred:\n" + e.getMessage());
        }
}//GEN-LAST:event_SaveFileButtonActionPerformed

private void LoadFileButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_LoadFileButtonActionPerformed
// TODO add your handling code here:
    drawPanelOutput1.setRes(0);
    drawPanelOutput1.plot();
    AnalysisButton.setEnabled(false);
    int option = theFileChooser.showOpenDialog(this);
    if (option == JFileChooser.APPROVE_OPTION) {
        outFile = theFileChooser.getSelectedFile();
        //LoadFileNameLabel.setText(outFile.getName());
        this.domain=null;
        ParserDialog.setVisible(true);
        this.domain=new parser().parse(outFile,ParserTextArea);
    }
    AnalysisButton.setEnabled(true);
    drawPanelInput1.setDomain(domain);
    drawPanelInput1.plot();
    drawPanelOutput1.setDomain(domain);
}//GEN-LAST:event_LoadFileButtonActionPerformed

private void AboutButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_AboutButtonActionPerformed
// TODO add your handling code here:
    JOptionPane.showMessageDialog(this, 
                      "=================================================="
                +'\n'+"Εκπαιδευτικό λογισμικό jtorsion"
                +'\n'+"ανάλυσης δοκών σε σειρά υπο στρέψη. "
                +'\n'+"Αριστοτέλειο Πανεπιστήμιο Θεσσαλονίκης"
                +'\n'+"Τμήμα Πολιτικών Μηχανικών"
                +'\n'+"Στα πλαίσια του μαθήματος"
                +'\n'+"Αντοχή Υλικών και Δομικών Στοιχείων I"
                +'\n'+"Δημιουργία: Παναγιωτόπουλος Γ. Χρήστος"
                +'\n'+"Επικοινωνία: pchr@civil.auth.gr"
                +'\n'+ "Φεβρουάριος-Απρίλιος 2008"
                +'\n'+"--------------------------------------------------"
                +'\n'+"         Ε.Π.Ε.Α.Ε.Κ. (κωδ. 21502)                "
                +'\n'+"Αναμόρφωση προγράμματος σπουδών τμήματος πολ. μηχ."
                +'\n'+"==================================================",
                                          "About jtorsion",JOptionPane.INFORMATION_MESSAGE);
}//GEN-LAST:event_AboutButtonActionPerformed

private void HelpButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_HelpButtonActionPerformed
// TODO add your handling code here:
    //misc.BareBonesBrowserLaunch.openURL("http://users.auth.gr/~pchr/jtorsion/jtorsion_example/jtorsion_example.htm");
    misc.BareBonesBrowserLaunch.openURL("http://edusoft.civil.auth.gr/TE4400/jtorsion/jtorsion_example/jtorsion_example.htm");
}//GEN-LAST:event_HelpButtonActionPerformed

private void N1ComboBoxPropertyChange(java.beans.PropertyChangeEvent evt) {//GEN-FIRST:event_N1ComboBoxPropertyChange
// TODO add your handling code here:
    
}//GEN-LAST:event_N1ComboBoxPropertyChange

private void N1ComboBoxItemStateChanged(java.awt.event.ItemEvent evt) {//GEN-FIRST:event_N1ComboBoxItemStateChanged
// TODO add your handling code here:
    //int n1_id=(Integer) N1ComboBox.getSelectedItem();
    //n1text.setText(Double.toString(domain.getNode(n1_id).getX()));
}//GEN-LAST:event_N1ComboBoxItemStateChanged

private void N2ComboBoxItemStateChanged(java.awt.event.ItemEvent evt) {//GEN-FIRST:event_N2ComboBoxItemStateChanged
// TODO add your handling code here:
    //int n2_id=(Integer) N2ComboBox.getSelectedItem();
    //n2text.setText(Double.toString(domain.getNode(n2_id).getX()));
}//GEN-LAST:event_N2ComboBoxItemStateChanged

private void AngleDiagramButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_AngleDiagramButtonActionPerformed
// TODO add your handling code here:
    drawPanelOutput1.setRes(1);
    drawPanelOutput1.plot();
}//GEN-LAST:event_AngleDiagramButtonActionPerformed

private void TorqueDiagramButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_TorqueDiagramButtonActionPerformed
// TODO add your handling code here:
    drawPanelOutput1.setRes(2);
    drawPanelOutput1.plot();
}//GEN-LAST:event_TorqueDiagramButtonActionPerformed

private void jButton2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton2ActionPerformed
// TODO add your handling code here:
    drawPanelOutput1.setRes(0);
    drawPanelOutput1.plot();
}//GEN-LAST:event_jButton2ActionPerformed

private void jButton3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton3ActionPerformed
// TODO add your handling code here:
    drawPanelOutput1.setRes(3);
    drawPanelOutput1.plot();
}//GEN-LAST:event_jButton3ActionPerformed

private void SaveResultsButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_SaveResultsButtonActionPerformed
// TODO add your handling code here:
    int action = theFileChooser.showSaveDialog(this);
    if (action != JFileChooser.APPROVE_OPTION) {
            // User has canceled, or an error occurred.
            return;
        }
        outFile = theFileChooser.getSelectedFile();
        if (outFile.exists()) {
            // If file already exists, ask before replacing it.
            action = JOptionPane.showConfirmDialog(this,
                    "Replace existing file?");
            if (action != JOptionPane.YES_OPTION)
                return;
        }
        try {
            // Create a PrintWriter for writing to the specified
            // file and write the text from the window to that stream.
            PrintWriter out = new PrintWriter(new FileWriter(outFile));
            domain.exportResults(out);
            //String contents = text.getText();
            //out.print(contents);
            if (out.checkError())
                throw new IOException("Error while writing to file.");
            out.close();
        }catch (IOException e) {
            // Some error has occurred while trying to write.
            // Show an error message
            JOptionPane.showMessageDialog(this,
                    "Sorry, an error has occurred:\n" + e.getMessage());
        }
}//GEN-LAST:event_SaveResultsButtonActionPerformed

private void jButton4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton4ActionPerformed
// TODO add your handling code here:
    drawPanelOutput1.setRes(4);
    drawPanelOutput1.plot();
}//GEN-LAST:event_jButton4ActionPerformed

private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
// TODO add your handling code here:
    TemplateExampleDialog.setVisible(true);
}//GEN-LAST:event_jButton1ActionPerformed

private void jButton9ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton9ActionPerformed
// TODO add your handling code here:
    TemplateExampleDialog.setVisible(false);
    boolean check=false;
    double G1=Double.parseDouble(G1TextField.getText());
    double L1=Double.parseDouble(L1TextField.getText());
    double d1=Double.parseDouble(d1TextField.getText());
    double phiB=Double.parseDouble(phiBTextField.getText());
    
    domain = new Domain();
    drawPanelInput1.setDomain(domain);
    drawPanelOutput1.setDomain(domain);
    double di;
    Node aNode = new Node(1,0.);
    domain.putNode(aNode);
    for(int i=1; i<81; i++){
        di=(double) i;
        aNode = new Node(i+1,domain.getNode(i).getX()+L1*(101.-di)/100.);
        domain.putNode(aNode);
    }
    
    Material aMaterial;
    for (int i=1; i<81; i++){
        di=(double) i;
        aMaterial = new Material(i,G1*(100./(101.-di))*(100./(101.-di)));
        domain.putMaterial(aMaterial);
    }
    
    Section aSection;
    for(int i=1; i<81; i++){
        di=(double) i;
        aSection = new Section(i,0.0,0.5*d1*(101.-di)/100.,domain.getMaterial(i));
        domain.putSection(aSection);
    }
    
    Element aElement;
    for(int i=1; i<81; i++){
        aElement = new Element(i,domain.getNode(i),domain.getNode(i+1),domain.getSection(i));
        domain.putElement(aElement);
    }
    
    Constraint aConstraint;
    aConstraint = new Constraint(domain.getNode(81),phiB);
    domain.putConstraint(aConstraint);
    aConstraint = new Constraint(domain.getNode(1),0.00);
    domain.putConstraint(aConstraint);
    
    drawPanelInput1.plot();
}//GEN-LAST:event_jButton9ActionPerformed

private void jButton10ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton10ActionPerformed
// TODO add your handling code here:
    TemplateExampleDialog.setVisible(false);
}//GEN-LAST:event_jButton10ActionPerformed

private void jToggleButton1StateChanged(javax.swing.event.ChangeEvent evt) {//GEN-FIRST:event_jToggleButton1StateChanged
// TODO add your handling code here:
    if(jToggleButton1.isSelected()){
        drawPanelOutput1.setYaxis(true);
        drawPanelOutput1.plot();
    }else{
        drawPanelOutput1.setYaxis(false);
        drawPanelOutput1.plot();
    }
}//GEN-LAST:event_jToggleButton1StateChanged

private void jToggleButton2StateChanged(javax.swing.event.ChangeEvent evt) {//GEN-FIRST:event_jToggleButton2StateChanged
// TODO add your handling code here:
    if(jToggleButton2.isSelected()){
        drawPanelOutput1.setValues(true);
        drawPanelOutput1.plot();
    }else{
        drawPanelOutput1.setValues(false);
        drawPanelOutput1.plot();
    }
}//GEN-LAST:event_jToggleButton2StateChanged

private void jButton11ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton11ActionPerformed
// TODO add your handling code here:
    domain = null;
    domain = new Domain();
    drawPanelInput1.setDomain(domain);
    drawPanelInput1.plot();
    drawPanelOutput1.setDomain(domain);
    drawPanelOutput1.setRes(0);
    drawPanelOutput1.plot();
}//GEN-LAST:event_jButton11ActionPerformed

 

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton AboutButton;
    private javax.swing.JButton AnalysisButton;
    private javax.swing.JButton AngleButton;
    private javax.swing.JButton AngleDiagramButton;
    private javax.swing.JButton CancelConstraintButton;
    private javax.swing.JButton CancelElementButton;
    private javax.swing.JButton CancelLoadButton;
    private javax.swing.JButton CancelNodeButton;
    private javax.swing.JButton CancelSectionButton;
    private javax.swing.JDialog ConstraintDialog;
    private javax.swing.JComboBox ConstraintNodeCombo;
    private javax.swing.JScrollPane ConstraintScrollPane;
    private javax.swing.JTable ConstraintTable;
    private javax.swing.JButton ElementButton;
    private javax.swing.JDialog ElementDialog;
    private javax.swing.JScrollPane ElementScrollPane;
    private javax.swing.JTable ElementTable;
    private javax.swing.JTextField G1TextField;
    private javax.swing.JButton HelpButton;
    private javax.swing.JTextField L1TextField;
    private javax.swing.JDialog LoadDialog;
    private javax.swing.JButton LoadFileButton;
    private javax.swing.JComboBox LoadNodeCombo;
    private javax.swing.JScrollPane LoadScrollPane;
    private javax.swing.JTable LoadTable;
    private javax.swing.JTable MatForSecTable;
    private javax.swing.JButton MaterialButton;
    private javax.swing.JDialog MaterialDialog;
    private javax.swing.JScrollPane MatsForSecPane;
    private javax.swing.JComboBox N1ComboBox;
    private javax.swing.JComboBox N2ComboBox;
    private javax.swing.JButton NodeButton;
    private javax.swing.JDialog ParserDialog;
    private javax.swing.JScrollPane ParserScrollPane;
    private javax.swing.JTextArea ParserTextArea;
    private javax.swing.JButton SaveFileButton;
    private javax.swing.JButton SaveResultsButton;
    private javax.swing.JComboBox SecComboBox;
    private javax.swing.JButton SectionButton;
    private javax.swing.JDialog SectionDialog;
    private javax.swing.JScrollPane SectionScrollPane;
    private javax.swing.JTable SectionTable;
    private javax.swing.JDialog TemplateExampleDialog;
    private javax.swing.JButton TorqueButton;
    private javax.swing.JButton TorqueDiagramButton;
    private javax.swing.JButton UpdateConstraintButton;
    private javax.swing.JButton UpdateElementButton;
    private javax.swing.JButton UpdateLoadButton;
    private javax.swing.JButton UpdateNodeButton;
    private javax.swing.JButton UpdateSectionButton;
    private javax.swing.JButton addConstraintButton;
    private javax.swing.JButton addElementButton;
    private javax.swing.JButton addLoadButton;
    private javax.swing.JButton addNodeButton;
    private javax.swing.JButton addSectionButton;
    private javax.swing.JTextField constraintValTextField;
    private javax.swing.JTextField d1TextField;
    private gui.DrawPanelInput drawPanelInput1;
    private gui.DrawPanelOutput drawPanelOutput1;
    private javax.swing.JTextField elem_idTextField;
    private javax.swing.JTextField gTextField;
    private javax.swing.JTextField idTextField;
    private javax.swing.JTextField idTextField1;
    private javax.swing.JButton jButton1;
    private javax.swing.JButton jButton10;
    private javax.swing.JButton jButton11;
    private javax.swing.JButton jButton2;
    private javax.swing.JButton jButton3;
    private javax.swing.JButton jButton4;
    private javax.swing.JButton jButton5;
    private javax.swing.JButton jButton6;
    private javax.swing.JButton jButton7;
    private javax.swing.JButton jButton8;
    private javax.swing.JButton jButton9;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JToggleButton jToggleButton1;
    private javax.swing.JToggleButton jToggleButton2;
    private javax.swing.JToolBar jToolBar1;
    private javax.swing.JTextField loadValTextField;
    private javax.swing.JTextField mat_idTextField;
    private javax.swing.JScrollPane materialScrollPane;
    private javax.swing.JTable materialTable;
    private javax.swing.JDialog nodeDialog;
    private javax.swing.JScrollPane nodeScrollPane;
    private javax.swing.JTable nodeTable;
    private java.awt.Panel panel1;
    private java.awt.Panel panel2;
    private java.awt.Panel panel3;
    private java.awt.Panel panel4;
    private java.awt.Panel panel5;
    private java.awt.Panel panel6;
    private java.awt.Panel panel7;
    private java.awt.Panel panel8;
    private javax.swing.JTextField phiBTextField;
    private javax.swing.JTextField r1TextField;
    private javax.swing.JTextField r2TextField;
    private javax.swing.JButton removeConstraintButton;
    private javax.swing.JButton removeElementButton;
    private javax.swing.JButton removeLoadButton;
    private javax.swing.JButton removeNodeButton;
    private javax.swing.JButton removeSectionButton;
    private javax.swing.JFileChooser theFileChooser;
    private javax.swing.JTextField xTextField;
    // End of variables declaration//GEN-END:variables

}
